package cmd

import (
	"github.com/urfave/cli/v2"
	"os"
	"xiaoxiong/internal/global"
	"xiaoxiong/internal/utils"
)

var app = &cli.App{
	Name: "小熊有好货",
	Usage: "xiaoxiong",
}

var c = cli.Commands{}

func Run(){
	initApp()
	app.Commands = c
	err := app.Run(os.Args)

	if err != nil {
		panic(err)
	}
}

// 初始化核心组件
func initApp(){
	// 配置文件
	_ = utils.Viper()

	// log
	global.Log = utils.Zap()

	// 数据库
	//global.GORM = utils.GormInit()

	// redis
	//global.Redis = utils.InitRedis()

}